Bug 1660611 - Intermittent S3 bucket list and swift container list are broken after upgrading to RHCS 2.5.z2 - 10.2.10-40.el7cp
Summary: Intermittent S3 bucket list and swift container list are broken after upgradi...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.5
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: z4
: 2.5
Assignee: Mark Kogan
QA Contact: ceph-qe-bugs
Aron Gunn
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 19:39 UTC by Vikhyat Umrao
Modified: 2019-04-12 18:48 UTC (History)
13 users (show)

(edit)
.S3 Bucket and Swift Container list commands work as expected

There was an uninitialized variable that was getting accessed before it was initialized causing the variable to contain a random value.  This was causing the S3 bucket and Swift container list commands to generate the following error:

----
Account not found
----

With this release, the code flow was fixed to initialize the variable before accessing it, resulting in the S3 bucket and Swift container list commands not to fail.
Clone Of:
(edit)
Last Closed: 2019-04-11 13:32:56 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0747 None None None 2019-04-11 13:33 UTC
Red Hat Knowledge Base (Solution) 3991371 Troubleshoot None Ceph - RGW inconsistent results with ceph version 10.2.10-37redhat1xenial 2019-03-15 20:58 UTC

Description Vikhyat Umrao 2018-12-18 19:39:42 UTC
Description of problem:
Intermittent S3 bucket list and swift container list are broken after upgrading to RHCS 2.5.z2 - 10.2.10-40.el7cp

s3cmd list - gives nothing but if give the s3cmd list <bucket URL> it returns the object names.

swift list - gives the account not fount


Version-Release number of selected component (if applicable):
RHCS 2.5.z2
10.2.10-40.el7cp


How reproducible:
At customer side always

For now workaround - downgraded to RHCS 2.5.1 - 10.2.10-28.el7cp and both s3cmd list and swift list are working fine.

Comment 1 Vikhyat Umrao 2018-12-18 20:59:54 UTC
I am suspecting this is happening because of some changes went into RHCS 2.5.2 code -10.2.10-40.el7cp
 with the help of this bug - https://bugzilla.redhat.com/show_bug.cgi?id=1516099 which has this upstream jewel PR attached - https://github.com/ceph/ceph/pull/20257.

Because I checked the 2.5.z2 errata - https://access.redhat.com/errata/RHBA-2018:2651 and I only see this above bug related to swift not sure why it is causing issues for S3 maybe some change in bucket list and container list part.

Comment 27 errata-xmlrpc 2019-04-11 13:32:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0747


Note You need to log in before you can comment on or make changes to this bug.